# CREATE A PROJECTED ORTHOGRAPHIC  IMAGE AND ADD LAT/LON LABELS and COLOR SCALE + FRAME and ICON FILE
#====================================================================================================
verbose

send_set_verbose

set_alias LABELS2_ALIASES

set_workpace_geometry @WORKSPACE

send_show_view @VIEWPLANE 

send_color_scale_name RAINBOW0

send_clear_area Plane=0 X=0 Y=0 Width=1000 Height=@HEIGHT

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB.tif"

set_projection_to_geometry XTo=0 YTo=0 WidthTo=@WIDTH HeightTo=@HEIGHT \
		ProjectionTo=@PROJECTION\
		LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
		LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000  

send_projection PixelOverlap=No    PlaneTo=3 PlaneFrom=1 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
		LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000

send_grids LatitudeMin=-80.0000 LatitudeMax=80.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED"

send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta \
		RiversRank1=yes RiversRank2=yes RiversRank5=yes RiversRank6=yes \
		ColorRank1=White ColorRank2=White ColorRank5=SIENNA ColorRank6=SIENNA

send_draw_latitude_labels ForegroundColor="White" BackgroundColor="TRANSPARENT" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0.0 TextFormat="%.0f" \
                        Longitude=10.0 LatitudeMin=-70.0 LatitudeMax=70.0 LatitudeStep=10.0

send_draw_longitude_labels  ForegroundColor="White" BackgroundColor="TRANSPARENT" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0.0 TextFormat="%.0f" \
                        Latitude=10.0 LongitudeMin=-70.0 LongitudeMax=70.0 LongitudeStep=10.0

send_draw_scale ViewPlane= 3 x=48 y=650 Width=300 Height=100
send_draw_scale_label x=48 y=650 Width=300 Height=100 TickColor="White" \
			ForegroundColor="White" BackgroundColor="Transparent" \
			TextFormat="%.1f" FontName="Courb.ttf" SizeFactor=1.0 UpLeftSide=No NoTicks=No \
			Labels=" 10   -1.00  100 -10.0   200  Clouds"

send_draw_scale ViewPlane= 3 x=120 y=1 Width=100 Height=300
send_draw_scale_label x=120 y=1 Width=100 Height=300 TickColor="White" \
			ForegroundColor="White" BackgroundColor="Transparent" \
			TextFormat="%.1f" FontName="Courb.ttf" SizeFactor=1.0 UpLeftSide=yes NoTicks=No \
			Labels=" 10   1.00  100 2.0   200  3.0"

send_create_frame Size=20  red=100 green=100 blue=100  FontName="Bell.ttf" TitleColor="White" SizeFactor=1.0 \
                        TopTitle=@TITLE1 

send_create_file ViewPlane=3 X=0 Y=0 Width=@WIDTH Height=@HEIGHT FileFormat=@FILEFORMAT  quality=90 \
	@FILEMAIN

send_read_other plane=3 X=0 Y=0 Width=0 Height=0 Expand=No @FILEMAIN

send_image_resize PlaneFrom=3 XFrom=20 YFrom=20 WidthFrom=@WIDTH HeightFrom=@HEIGHT \
		PlaneTo=3 XTo=0 YTo=0 WidthTo=300 HeightTo=300 LinearColorScale=No \
		RescaleValues=No Method="Icon"

send_create_frame Size=10  red=160 green=160 blue=160  FontName="Bell.ttf" TitleColor="White" SizeFactor=.8 \
                        TopTitle=@TITLE2 

send_clear_graph  X=0 Y=0 Width=300 Height=300 

send_create_file ViewPlane=3 X=0 Y=0 Width=300 Height=300 FileFormat=@FILEFORMAT  quality=90 \
         @FILEREDUCE

send_unset_verbose
