# CREATE A SINUSOIDAL IMAGE FROM A LINEAR IMAGE FILE WITH GRIDS AND WORLD MAP
#============================================================================
#verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_show_view ViewPlane=0

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB.tif"

send_plot_histogram PlaneFrom=1 PlaneTo=3 X=420 Y=110 \
		Width=284 Height=270 Xmin=1 Xmax=1 ClassSize=1 \
		Cumulative=No     YPercent=No    \
		ZeroClassFilter=Yes  \
		RunOverAllCells=No     Mask=No    \
		HistoType="CURVE" \
		Color="CURRENT" MgraphPlotMode="NEWCURVE"




send_Mgraph 
<<
#verbose
PlotTitle     Title="Histogram (Curve style)" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
LineStyle     Curve=1   Style=Solid          Color=Red          Thickness=3
MarkStyle     Curve=1   Style=Fcircle         Size=5
LineStyle     Curve=2   Style=Solid          Color=Green        Thickness=3
MarkStyle     Curve=2   Style=Fcircle         Size=5
LineStyle     Curve=3   Style=Solid          Color=Blue         Thickness=3
MarkStyle     Curve=3   Style=Fcircle         Size=5

XTitle        Title="Pixel value" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=-1    Max=-1  Delta=-1  Color=Red  Thickness=4  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0
YTitle        Title=" % of area (22879 pixels)" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0    Max=2000    Delta=-1  Color=Blue  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0

DrawCell     XStart=2.0   YStart=2.0   Width=8.00   Height=7.0\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

>>






send_area_statistics PlaneFrom=1 PlaneTo=3 X=420 Y=110 Width=284 Height=270 \
		Mask=No    IgnoreZeros=No    AddMode=Yes 


send_plot_transect PlaneFrom=1 PlaneTo=3 X1=370 Y1=230 \
                X2=710 Y2=230  DistanceXUnit=No    \
                RunOverAllCells=No     Mask=No    \
                Color="CURRENT" MgraphPlotMode="NEWCURVE"






send_Mgraph 
<<
PlotTitle     Title="Transect" Height=1.50
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0

DrawCell     XStart=11.00   YStart=2.0      Width=8.00   Height=7.0\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]
>>






send_plot_bidimentional XPlane=1 XPlaneX=420 XPlaneY=110 XWidth=284 XHeight=270 \
                	YPlane=2 YPlaneX=420 YPlaneY=110 YWidth=284 YHeight=270 \
                	XMask=No    YMask=No    \
                	Color="Green" MgraphPlotMode="NEWCURVE"






send_Mgraph 
<<
PlotTitle     Title="(POLDER) Red / Green" Height=1.50
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0

FitResultFormat "Correlation: %.f  Y = %.6f X + %.3f",cor,c1,c0
Fit     Function=Polynomial Curve=-1  Min=-1 Max=-1 Npoints=100 Step=-1 Order=1   [Mode=Add|Replace|Merge] Variable=X \
	FIT_RESULT_AS_ANNOTATION=Yes XStart=0.25%  YStart=10.00% Color=Black Style=Plain Height=1.50


DrawCell     XStart=2.0000   YStart=10.000   Width=8.00   Height=7.0\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]
>>





send_plot_bidimentional XPlane=1 XPlaneX=420 XPlaneY=110 XWidth=284 XHeight=270 \
                	YPlane=3 YPlaneX=420 YPlaneY=110 YWidth=284 YHeight=270 \
                	XMask=No    YMask=No    \
                	Color="Blue" MgraphPlotMode="NEWCURVE"



send_Mgraph 
<<
PlotTitle     Title="(POLDER) Red / Blue" Height=1.50
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.50   CFormat="%.0f"  Angle=0.0

FitResultFormat "Correlation: %.f  Y = %.6f X + %.3f",cor,c1,c0
Fit     Function=Polynomial Curve=-1  Min=-1 Max=-1 Npoints=100 Step=-1 Order=1   [Mode=Add|Replace|Merge] Variable=X \
	FIT_RESULT_AS_ANNOTATION=Yes XStart=0.25%  YStart=10.00% Color=Black Style=Plain Height=1.50

DrawCell     XStart=11.0000   YStart=10.000   Width=8.00   Height=7.0\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]
>>



send_create_mask   X=240 Y=140 Width=310 Height=110 \
    Do="AND" AddMode=No    InversMask=Yes   Color="RED" " 0 <red <50  0 <green <50 "

send_convolution   Plane=0 X=240 Y=140 Width=310 Height=110 \
             Name="SMOOTH"  Lines=7 Columns=7 \
           Threshold=8421.000000 Style="MATRIX"  Mask=Yes    ""

send_enhance ViewPlane=1 X=240 Y=140 Width=310 Height=110 Mask=Yes  A=10.0 B=30.0
send_enhance ViewPlane=2 X=240 Y=140 Width=310 Height=110 Mask=Yes  A=10.0 B=30.0
send_enhance ViewPlane=3 X=240 Y=140 Width=310 Height=110 Mask=Yes  A=2.0 B=180.0

send_clear_mask X=240 Y=140 Width=310 Height=110


#send_plot_contour Plane=3 X=0 Y=0 Width=1000 Height=500 \
#			 ToXmin=-180 ToXmax=180 ToYmin=-90 ToYmax=90 \
#                        Undef=8421 DrawLabel=No LabelCFormat="%.0f" \
#                        MgraphPlotMode="NewCurve"     \
#                       Cyan=      "180"

#send_plot_contour Plane=1 X=0 Y=0 Width=1000 Height=500 \
#			 ToXmin=-180 ToXmax=180 ToYmin=-90 ToYmax=90 \
#                        Undef=8421 DrawLabel=No LabelCFormat="" \
#                        MgraphPlotMode="CurveAddMode"     \
#                       Magenta=      "50"

send_plot_contour_background_image ViewPlane=0 X=0 Y=0 Width=1000 Height=500 \
			ToXmin=-180 ToXmax=180 ToYmin=-90 ToYmax=90 \
                        Undef=8421  NearestPixelInterpolation=Yes \
                        MgraphPlotMode="NewCurve"


send_Mgraph 
<<
#AddLogo    XStart=2.000 YStart=5.000 XScale=-1.000 YScale=0.000
PlotTitle     Title="POLDER  Surface reflectance  (May 97)" Height=1.00
SurfaceGeometry [Xmin=-180 Xmax=180 Ymin=-90 Ymax=90]    DistanceFactor=1 XYRatio=1 NearestPixelInterpolation=Yes

XTitle        Title=" " Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-180    Max=180  Delta=30  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-90    Max=90    Delta=30  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0

PlotBox      XStart=44.33%  YStart=19.33%  XEnd=65.65% YEnd=71.85% \
			Color=Red   Style=Solid  Thickness=6
PlotLine     XStart=43.15%  YStart=44.12%  XEnd=68.19% YEnd=45.80%  \
			Color=Magenta   Style=Solid  Thickness=6

DrawCell     XStart=1.0000   YStart=18.0   Width=18.00   Height=11.00\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

SendTo[EPS]File   File="./printMGRAPH.ps"  Type=Color    [Copies=1]   Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Color   [Copies=1]   Orientation=Portrait

>>

