#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define TRUE        1
#define FALSE       0

/*===================================================================================================================
		send_algebra_conv				Set direct pixel conversion (No direct action)
		[call send_algebra_conv_f]
			( text ) 
			char *text				Fee text " 100 -> 200 300 -> 201"
								In the example the original pixel value 100 before
								applying the algebra equation will be directly transleted to 									pixel result 200. And 300 to pixel result 201.
								This will be performed with the send_algebra command.

		send_algebra 					Compute an algebra equation
		[call send_algebra_f]
			(Mask,SetVal,Expand,CutMin,CutMax,text)
			int Mask 				[F,T] Use the mask plane as filter(Masked pixel are not computed)
			int SetVal 				[F,T] Use the send_algebra_conv settings
			int Expand 				[F,T] Color expand the image result to the view plane
			float CutMin=0.000000 			values under Cutmin are = Cutmin
			float CutMax=255.000000			values over CutMax are = CutMax
			char *text               		Equation text "C[3,1]=rnd()*255"
								C[3,1]=rnd()*255   Cell data plane 3 cell nb 1 
								R=rnd()*255	   Red plane full size
								P[100]=rnd()*255   Plane nb full size
								see Sphinx algebra widget for operators
========================================================================================================================*/

main(argc, argv)
int      argc;
char    **argv;
{ 

  printf("Send clear graph area\n");
  send_set_verbose();

  send_clear_all(3,0,0,1024,1024);
  send_algebra_conv(" 0 -> 255 1 ->254 2 ->253");
  send_algebra(FALSE,TRUE,FALSE,0.0,255.0,"C[3,1]=rnd()*255");
  send_algebra(FALSE,FALSE,FALSE,0.0,255.0,"C[3,2]=rnd()*255");
  send_algebra(FALSE,FALSE,FALSE,0.0,255.0,"C[3,3]=C[3,2]-C[3,1]");

  /* pixel values direct change from 0 to 255 1 to 254 ...*/
  send_algebra_conv(" 0 -> 255 1 ->254 2 ->253");
  send_algebra(FALSE,FALSE,FALSE,0.0,255.0,"C[3,1]=C[3,1]/2");

  send_unset_verbose();
}
