# CREATE A mosaic from geotiff files build by HDFLook
#======================================================
verbose

send_set_verbose

set_project ProjectName="GEOTIFF" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=2048 PlaneHeight=2048  DataType=UCHAR  CellWidth=1024 CellHeight=1024

send_destroy_all_data
send_show_view ViewPlane=0

set_projection_to_geometry XTo=0 YTo=1024 WidthTo=2048 HeightTo=1024 ProjectionTo="SINUSOIDAL"\
                           LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
                           LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_AZIMUT.tif"
send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_LAMBERT.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_LINEAR.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_MILLER.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_ORTHOG.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_ROBINS.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_SINUSO.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_VANDER.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 

send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED"

send_world_map Color="GREEN"

send_create_frame Size=20  red=100 green=100 blue=100  FontName="Bell.ttf" TitleColor="White" SizeFactor=1.0 \
                        TopTitle="Msphinx mosaic from HDFLook Geotiff files"

send_create_file ViewPlane=0 X=0 Y=1024 Width=2048 Height=1024 FileFormat="GIF"  FileName="MspGeoTiffRead.gif"

